package com.alibaba.druid.sql.dialect.phoenix.parser;

import com.alibaba.druid.sql.parser.Lexer;
import com.alibaba.druid.sql.parser.SQLExprParser;
import com.alibaba.druid.sql.parser.SQLParserFeature;

public class PhoenixExprParser extends SQLExprParser {
   public PhoenixExprParser(String sql, SQLParserFeature... features) {
      this(new PhoenixLexer(sql, features));
      this.lexer.nextToken();
   }

   public PhoenixExprParser(Lexer lexer) {
      super(lexer);
   }
}
